Package org.eclipse.microprofile.openapi.apps.airlines.resources

# Interface PlayerService

@RegisterRestClient @Path("/") public interface PlayerService

## Method Summary

Modifier and Type
Method
Description
`String`
`getPlayerById(String id)`
`void`
`recordGame(String id, int place, String token)`

## Method Details

### getPlayerById

@GET @Path("/player/{playerId}") @Produces("application/json") String getPlayerById(@PathParam("playerId") String id)

### recordGame

@POST @Path("/rank/{playerId}/recordGame") void recordGame(@PathParam("playerId") String id, @QueryParam("place") int place, @HeaderParam("Authorization") String token)